org.springframework.jdbc.object

## Class MappingSqlQueryWithParameters.RowMapperImpl

- java.lang.Object
- - org.springframework.jdbc.object.MappingSqlQueryWithParameters.RowMapperImpl

- All Implemented Interfaces:
    RowMapper<T>
  Enclosing class:
    MappingSqlQueryWithParameters<T>

      protected class MappingSqlQueryWithParameters.RowMapperImpl
      extends Object
      implements RowMapper<T>

  Implementation of RowMapper that calls the enclosing class's `mapRow` method for each row.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RowMapperImpl(Object[] parameters, Map<?,?> context)` Use an array results.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `mapRow(ResultSet rs, int rowNum)` Implementations must implement this method to map each row of data in the `ResultSet`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RowMapperImpl

          public RowMapperImpl(@Nullable
                               Object[] parameters,
                               @Nullable
                               Map<?,?> context)

      Use an array results. More efficient if we know how many results to expect.

  - ### Method Detail

    - #### mapRow

          @Nullable
          public T mapRow(ResultSet rs,
                                    int rowNum)
                             throws SQLException

      Description copied from interface: `RowMapper`
      Implementations must implement this method to map each row of data in the `ResultSet`. This method should not call `next()` on the `ResultSet`; it is only supposed to map values of the current row.
      Specified by:
        `mapRow` in interface `RowMapper<T>`
      Parameters:
        `rs` - the `ResultSet` to map (pre-initialized for the current row)
        `rowNum` - the number of the current row
      Returns:
        the result object for the current row (may be `null`)
      Throws:
        `SQLException` - if an SQLException is encountered while getting column values (that is, there's no need to catch SQLException)